Package com.plannaplan.security.cas

# Class CasUserIdentity

java.lang.Object
com.plannaplan.security.cas.CasUserIdentity

    public class CasUserIdentity
    extends java.lang.Object

Model to keep data from Cas response. It's important to remember that wee need to register our domain name in CAS in order to get this data. Otherwise CAS will retuned what user typed as login.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CasUserIdentity​(java.lang.String usosId, java.lang.String email)` | creates new instance

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getEmail()` |
`java.lang.String` | `getUsosId()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CasUserIdentity

public CasUserIdentity​(java.lang.String usosId, java.lang.String email)
creates new instance

Parameters:
  `usosId` - usosId retured from CAS
  `email` - emial returned from CAS

## Method Details

### getUsosId

public java.lang.String getUsosId()

Returns:
  string with usosid

### getEmail

public java.lang.String getEmail()

Returns:
  string with email